- Qt 5.15
- Qt Widgets
- C++ Classes
- QGraphicsSceneHelpEvent
- Qt 5.15.19 Reference Documentation

# QGraphicsSceneHelpEvent Class

The QGraphicsSceneHelpEvent class provides events when a tooltip is requested. More...

Header: | #include <QGraphicsSceneHelpEvent>
qmake: | QT += widgets
Since: | Qt 4.2
Inherits: | QGraphicsSceneEvent

This class was introduced in Qt 4.2.

- List of all members, including inherited members

## Public Functions

virtual | ~QGraphicsSceneHelpEvent()
QPointF | scenePos() const
QPoint | screenPos() const

## Detailed Description

When a QGraphicsView receives a QEvent of type QEvent::ToolTip, it creates a QGraphicsSceneHelpEvent, which is forwarded to the scene. You can set a tooltip on a QGraphicsItem with setToolTip(); by default QGraphicsScene displays the tooltip of the QGraphicsItem with the highest z-value (i.e, the top-most item) under the mouse position.

QGraphicsView does not forward events when "What's This" and status tip help is requested. If you need this, you can reimplement QGraphicsView::viewportEvent() and forward QStatusTipEvent events and QEvents of type QEvent::WhatsThis to the scene.

See also QEvent.

## Member Function Documentation

### `[virtual]` QGraphicsSceneHelpEvent::~QGraphicsSceneHelpEvent()

Destroys the event.

### QPointF QGraphicsSceneHelpEvent::scenePos() const

Returns the position of the mouse cursor in scene coordinates at the moment the help event was sent.

See also screenPos().

### QPoint QGraphicsSceneHelpEvent::screenPos() const

Returns the position of the mouse cursor in screen coordinates at the moment the help event was sent.

See also scenePos().